Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::GLSLProgramFactory Class Reference

Factory class for GLSL programs. More...

`#include <OgreGLSLProgramFactory.h>`

Inheritance diagram for Ogre::GLSLProgramFactory:

[legend]
List of all members.

## Public Methods

| GLSLProgramFactory (void)
| ~GLSLProgramFactory (void)
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for.
HighLevelGpuProgram * | create (const String &name, GpuProgramType gptype)
| create an instance of GLSLProgram
void | destroy (HighLevelGpuProgram *prog)

## Private Attributes

GLSLLinkProgramManager * | mLinkProgramManager

## Detailed Description

Factory class for GLSL programs.

Definition at line 36 of file OgreGLSLProgramFactory.h.

## Constructor & Destructor Documentation

Ogre::GLSLProgramFactory::GLSLProgramFactory | ( | void |  | ) |

| Definition at line 34 of file OgreGLSLProgramFactory.cpp. References mLinkProgramManager.

Ogre::GLSLProgramFactory::~GLSLProgramFactory | ( | void |  | ) |

| Definition at line 39 of file OgreGLSLProgramFactory.cpp. References mLinkProgramManager.

## Member Function Documentation

HighLevelGpuProgram * Ogre::GLSLProgramFactory::create | ( | const String & | name,
|  | GpuProgramType | gptype
| ) | `[virtual]`

| create an instance of GLSLProgram Implements Ogre::HighLevelGpuProgramFactory. Definition at line 50 of file OgreGLSLProgramFactory.cpp. References Ogre::GpuProgramType, Ogre::sLanguageName, and Ogre::String.

void Ogre::GLSLProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[virtual]`

| Implements Ogre::HighLevelGpuProgramFactory. Definition at line 55 of file OgreGLSLProgramFactory.cpp.

const String & Ogre::GLSLProgramFactory::getLanguage | ( | void |  | ) | const`[virtual]`

| Get the name of the language this factory creates programs for. Implements Ogre::HighLevelGpuProgramFactory. Definition at line 45 of file OgreGLSLProgramFactory.cpp. References Ogre::sLanguageName, and Ogre::String.

## Member Data Documentation

GLSLLinkProgramManager* Ogre::GLSLProgramFactory::mLinkProgramManager`[private]`

| Definition at line 49 of file OgreGLSLProgramFactory.h. Referenced by GLSLProgramFactory(), and ~GLSLProgramFactory().

The documentation for this class was generated from the following files:

- OgreGLSLProgramFactory.h
- OgreGLSLProgramFactory.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:37 2004